import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { DevopsOperationLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-31 10:35
 */
interface DevopsOperationLogCU extends ConditionUtil<DevopsOperationLogCU> {
    ID: FieldUtil<DevopsOperationLogCU>;
    USER_ID: FieldUtil<DevopsOperationLogCU>;
    OPERATION_CONTENT: FieldUtil<DevopsOperationLogCU>;
    OPERATION_DATA: FieldUtil<DevopsOperationLogCU>;
    CREATE_TIME: FieldUtil<DevopsOperationLogCU>;
    UPDATE_TIME: FieldUtil<DevopsOperationLogCU>;
}
declare class DevopsOperationLogMU extends TableUtilImpl<DevopsOperationLogCU, DevopsOperationLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): DevopsOperationLogCU;
    static get ID(): FieldUtil<DevopsOperationLogCU>;
    static get USER_ID(): FieldUtil<DevopsOperationLogCU>;
    static get OPERATION_CONTENT(): FieldUtil<DevopsOperationLogCU>;
    static get OPERATION_DATA(): FieldUtil<DevopsOperationLogCU>;
    static get CREATE_TIME(): FieldUtil<DevopsOperationLogCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsOperationLogCU>;
    static get USER_NAME(): FieldInfo;
    get ID(): FieldUtil<DevopsOperationLogCU>;
    get USER_ID(): FieldUtil<DevopsOperationLogCU>;
    get OPERATION_CONTENT(): FieldUtil<DevopsOperationLogCU>;
    get OPERATION_DATA(): FieldUtil<DevopsOperationLogCU>;
    get CREATE_TIME(): FieldUtil<DevopsOperationLogCU>;
    get UPDATE_TIME(): FieldUtil<DevopsOperationLogCU>;
    get USER_NAME(): FieldInfo;
}
export { DevopsOperationLogMU, DevopsOperationLogCU };
